Bug 632536 - luci UpgradeTest-selinux Test
Summary: luci UpgradeTest-selinux Test
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Ryan McCabe
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-10 09:50 UTC by Martin Cermak
Modified: 2016-04-26 15:39 UTC (History)
6 users (show)

Fixed In Version: luci-0.23.0-18.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 10:06:41 UTC
Target Upstream Version:


Attachments (Terms of Use)
proposed fix (5.42 KB, patch)
2011-06-27 20:13 UTC, Ryan McCabe
no flags Details | Diff
Proposed fix -- second part (1.21 KB, patch)
2011-07-25 20:54 UTC, Jan Pokorný [poki]
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 725549 None None None Never
Red Hat Bugzilla 725553 None None None Never
Red Hat Product Errata RHBA-2011:1510 normal SHIPPED_LIVE luci bug fix update 2011-12-06 00:39:20 UTC

Internal Links: 725549 725553

Comment 1 Daniel Walsh 2010-11-22 18:53:57 UTC
python apps search though the .local directory in the homedir for local customizations.  The paster tool should be using -Es flag to stop this behavior.

man python

       -E     Ignore environment variables like PYTHONPATH and PYTHONHOME that
              modify the behavior of the interpreter.

       -s     Don't add user site directory to sys.path.

Comment 4 RHEL Program Management 2011-02-08 17:28:53 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 8 Ryan McCabe 2011-06-27 20:13:19 UTC
Created attachment 510158 [details]
proposed fix

Comment 9 Daniel Walsh 2011-07-25 19:56:55 UTC
I am making this public since there is no big secrets here.

Comment 10 Jan Pokorný [poki] 2011-07-25 20:54:08 UTC
Created attachment 515138 [details]
Proposed fix -- second part

This patch actually activates desirable behavior, backed by previous Ryan's patch.

Comment 16 errata-xmlrpc 2011-12-06 10:06:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1510.html


Note You need to log in before you can comment on or make changes to this bug.